%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Moon clock plugin for GKrellM
Name: gkrellm-moon
Version: 0.6
Release: 12
License: GPLv2
Group: Applications/System
URL: http://gkrellmoon.sourceforge.net/
Source: http://downloads.sf.net/gkrellmoon/gkrellmoon-%{version}.tar.gz
Patch0: gkrellmoon-0.6-strcpy.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
A moon clock plugin for GKrellM.


%prep
%setup -q -n gkrellmoon-%{version}
%patch0 -p1 -b .strcpy


%build
%{__make} FLAGS='%{optflags} -fPIC $(GTK_INCLUDE)'


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 gkrellmoon.so %{buildroot}%{gkplugindir}/gkrellmoon.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{gkplugindir}/gkrellmoon.so


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6-10
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.6-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.6-4
- Update License field... GPLv2 only, will be a problem with GPLv3 gkrellm.

* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 0.6-3
- Remove dist, as it might be a while before the next rebuild.
- Switch to using downloads.sf.net source URL.

* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 0.6-2
- Tweak defattr.

* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 0.6-1
- Initial RPM release as a single plugin.
- Include trivial patch to remove strcpy related warnings.

